Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Prefix_Filter_Builder Class Reference

Implement a builder for the fundamental filters. More...

`#include <EC_Prefix_Filter_Builder.h>`

Inheritance diagram for TAO_EC_Prefix_Filter_Builder

[legend]
Collaboration diagram for TAO_EC_Prefix_Filter_Builder:

[legend]
List of all members.

## Public Methods
| TAO_EC_Prefix_Filter_Builder (TAO_EC_Event_Channel* ec)
| constructor.
virtual | ~TAO_EC_Prefix_Filter_Builder (void)
| destructor...
TAO_EC_Filter* | build (TAO_EC_ProxyPushSupplier *supplier, RtecEventChannelAdmin::ConsumerQOS& qos, CORBA::Environment &env) const
| Create the filter, the caller must assume ownership of the filter returned.
## Private Methods
TAO_EC_Filter* | recursive_build (TAO_EC_ProxyPushSupplier *supplier, RtecEventChannelAdmin::ConsumerQOS& qos, CORBA::ULong& pos) const
| Recursively build the filter tree.
## Private Attributes
TAO_EC_Event_Channel* | event_channel_
| The event channel.

## Detailed Description

Implement a builder for the fundamental filters.

The prefix filtering mechanisms in the Event channel (source/type based filtering + disjunctions and conjunctions) are constructed using this class.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Prefix_Filter_Builder::TAO_EC_Prefix_Filter_Builder ( | TAO_EC_Event_Channel * ec )

| constructor.

TAO_EC_Prefix_Filter_Builder::~TAO_EC_Prefix_Filter_Builder ( | void )`[inline, virtual]`

| destructor...

## Member Function Documentation

TAO_EC_Filter * TAO_EC_Prefix_Filter_Builder::build ( | TAO_EC_ProxyPushSupplier * supplier,
| RtecEventChannelAdmin::ConsumerQOS & qos,
| CORBA::Environment & env ) const`[virtual]`

| Create the filter, the caller must assume ownership of the filter returned. Reimplemented from TAO_EC_Filter_Builder.

TAO_EC_Filter * TAO_EC_Prefix_Filter_Builder::recursive_build ( | TAO_EC_ProxyPushSupplier * supplier,
| RtecEventChannelAdmin::ConsumerQOS & qos,
| CORBA::ULong & pos ) const`[private]`

| Recursively build the filter tree.

## Member Data Documentation

TAO_EC_Event_Channel * TAO_EC_Prefix_Filter_Builder::event_channel_`[private]`

| The event channel.

The documentation for this class was generated from the following files:

- EC_Prefix_Filter_Builder.h
- EC_Prefix_Filter_Builder.cpp
- EC_Prefix_Filter_Builder.i